<?php
/**
 * CustomFieldsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the endpoint.
 */

namespace text-magic;

use \text-magic\Configuration;
use \text-magic\ApiException;
use \text-magic\ObjectSerializer;

/**
 * CustomFieldsApiTest Class Doc Comment
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class CustomFieldsApiTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createCustomField
     *
     * Create a new custom field from the submitted data..
     *
     */
    public function testCreateCustomField()
    {
    }

    /**
     * Test case for deleteCustomField
     *
     * Delete a single custom field..
     *
     */
    public function testDeleteCustomField()
    {
    }

    /**
     * Test case for getCustomField
     *
     * Get a single custom field..
     *
     */
    public function testGetCustomField()
    {
    }

    /**
     * Test case for getCustomFields
     *
     * Get all contact custom fields..
     *
     */
    public function testGetCustomFields()
    {
    }

    /**
     * Test case for updateCustomField
     *
     * Update existing custom field..
     *
     */
    public function testUpdateCustomField()
    {
    }

    /**
     * Test case for updateCustomFieldValue
     *
     * Update contact's custom field value..
     *
     */
    public function testUpdateCustomFieldValue()
    {
    }
}
